%global modname zope.processlifetime

Summary: Zope process lifetime events
Name: python-zope-processlifetime
Version: 1.0
Release: 6%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.processlifetime

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-zope-interface
Requires:      python-zope-interface

%description
This package provides interfaces / implementations for events relative to
the lifetime of a server process (startup, database opening, etc.)

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}

%check
%{__python} setup.py test

%files
# LICENSE will be included in next upstream release
%doc CHANGES.txt README.txt
# Co-own %%{python_sitelib}/zope/
%dir %{python_sitelib}/zope/
%{python_sitelib}/zope/processlifetime/
%exclude %{python_sitelib}/zope/processlifetime/tests.py*
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 13 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.0-3
- Requires/BuildRequires python-zope-interface

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 1.0-2
- Spec cleaned up
- Requires: python-zope-filesystem and python-setuptools removed
- Exclude the tests from installation
- Co-own %%{python_sitelib}/zope/
- Add %%check section and run tests

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 1.0-1
- Initial packaging
